main navigation
my pace
Supported Software

Below is the current level of support that the ITS staff can provide to end-users experiencing technical issues with Pace computer applications and web based systems. Software, systems, or applications that are not listed below are considered unsupported applications.  ITS will make a concerted effort to provide assistance for unsupported applications.

Pace University maintains ‘enterprise software’ license agreements, which allow staff and faculty to use licensed software for work or personal business.  To view a list of available licensed software, please visit the Licensed Software page.


  Full Support   Limited Support
Pace ITS staff will provide full support. Pace ITS staff will make a concerted effort to provide assistance, or will offer alternative resources if applicable.

Note: For all internal Pace Web-based systems, we recommend Mozilla Firefox. Please refer to the table below for more information on all compatible versions. All older and unlisted web browser versions are not currently supported.

Pace Web-Based Systems
Appserv Applications Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher

Banner
Note: Banner currently supports latest version of Java 8.

Mozilla Firefox 39 to 51
Note: Starting with version 52, Mozilla Firefox no longer supports Java (and other NPAPI Plugins).
Internet Explorer 11.0 or Higher
BI – Reporting Pyramid Analytics Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher

Blackboard
Note: Blackboard currently supports latest version of Java 8.

Mozilla Firefox 39 or Higher
E-Procurement Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher
Finance Self-Service Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher

Kronos
Note: Kronos currently supports latest version of Java 8.

Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher
Pace University Homepage Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher

Performance Management and Development Program (PMDP)
Note: Works in compatibility mode.

 

Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher
Outlook Web App (OWA) Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher
People Admin Internet Explorer 11.0 or Higher
Portal Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher
Shibboleth Mozilla Firefox 39 or Higher
Internet Explorer 11.0 or Higher

 

Operating Systems
Windows 10
Windows 7/8.1
Note: Microsoft will end extended support for Windows 7 and Windows 8.1 on January 14th, 2020 and January 10, 2023, respectively.  While ITS staff will continue to support 7 & 8.1 users until they are deemed “End of Life” by Microsoft, 3rd party program compatibility is not guaranteed.  Windows RT is not supported.
 Mac OS X 10.10 or Higher
Note: ITS recommends staying minimum one full version behind Apple’s latest operating system.  (Ex. Latest: macOS Mojave, Minimum: macOS High Sierra)

 

Web Browsers
Mozilla Firefox
Note: Please refer to the Pace Web-Based Systems table above for specific versions supported by each system. Starting with version 52, Mozilla Firefox no longer supports NPAPI Plugins, including Java, Silverlight, Skype for Business and Adobe Acrobat.
Internet Explorer
Note: Please refer to the Pace Web-Based Systems table above for specific versions supported by each system.
Google Chrome
Note: Please refer to the Pace Web-Based Systems table above for specific versions supported by each system.  Google Chrome no longer supports NPAPI Plugins.

 

Software for Educational/Office Use
Microsoft Office 2016 or Higher
Microsoft Skype for Business
Cisco AnyConnect
Acrobat Reader DC
Java 8
Pharos
Core FTP

 
Note: ITS does not recommend or support using IMAP or POP clients because they do not fully incorporate all the features of Exchange.

Email Client
Microsoft Outlook 2016 or Higher 
Microsoft Outlook 2016 for Mac or Higher

 

Mobile Client on Exchange Email
Apple iOS Devices
Google Android Devices

Virtual Private Networking
Cisco AnyConnect VPN Supported on:
  • Mac OS X 10.10 or Higher
  • Windows 7 or Higher

 

Virus Protection
Microsoft Security Essentials

 

Wireless Network
PACE-WIFI/PACE-GUEST (Running on OS systems: Windows 7, Windows 8.1, Windows 10, Mac OS 10.6 and higher, Apple iOS 6 and higher, Android OS 4.1 and higher)

Last Updated Date:  02/27/2019